Bug 1946597 - Unnecessary series churn when a new version of kube-state-metrics is rolled out
Summary: Unnecessary series churn when a new version of kube-state-metrics is rolled out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Jan Fajerski
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1945851
Blocks: 1931896
TreeView+ depends on / blocked
 
Reported: 2021-04-06 13:29 UTC by Jan Fajerski
Modified: 2021-04-27 14:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1945851
Environment:
Last Closed: 2021-04-27 14:20:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1105 0 None closed Bug 1946597: Backport Remove the "instance" and "pod" labels for kube-state-metrics metrics 2021-04-16 09:01:34 UTC
Red Hat Product Errata RHBA-2021:1232 0 None None None 2021-04-27 14:21:10 UTC

Comment 2 Junqi Zhao 2021-04-16 01:49:11 UTC
tested with 4.6.0-0.nightly-2021-04-15-200627
pod label exists for kube_pod_info is expected, no instance label for it
search kube_pod_info{namespace="openshift-monitoring"}, result
      {
        "metric": {
          "__name__": "kube_pod_info",
          "container": "kube-rbac-proxy-main",
          "created_by_kind": "StatefulSet",
          "created_by_name": "prometheus-k8s",
          "endpoint": "https-main",
          "host_ip": "10.0.32.3",
          "job": "kube-state-metrics",
          "namespace": "openshift-monitoring",
          "node": "qeci-19120-hsqfv-worker-a-rd8dz.c.openshift-qe.internal",
          "pod": "prometheus-k8s-0",
          "pod_ip": "10.131.0.35",
          "priority_class": "openshift-user-critical",
          "service": "kube-state-metrics",
          "uid": "169f1be3-de29-4f40-bc67-843b10344140"
        },


kube_pod_info{container="kube-rbac-proxy-main", created_by_kind="DaemonSet", created_by_name="node-exporter", endpoint="https-main", host_ip="10.0.130.185", job="kube-state-metrics", namespace="openshift-monitoring", node="ip-10-0-130-185.us-east-2.compute.internal", pod="node-exporter-x2bw5", pod_ip="10.0.130.185", priority_class="system-cluster-critical", service="kube-state-metrics", uid="c407cd8e-de07-4c10-b203-935874306853"}

the instance and pod labels are absent for other kube_* metrics, example
kube_node_role
      {
        "metric": {
          "__name__": "kube_node_role",
          "container": "kube-rbac-proxy-main",
          "endpoint": "https-main",
          "job": "kube-state-metrics",
          "namespace": "openshift-monitoring",
          "node": "qeci-19120-hsqfv-worker-c-64tjw.c.openshift-qe.internal",
          "role": "worker",
          "service": "kube-state-metrics"
        },

Comment 5 errata-xmlrpc 2021-04-27 14:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.26 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1232


Note You need to log in before you can comment on or make changes to this bug.